﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Tickets_327691_Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = MyData.BusinessDataStorage.GetData();
    }

    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFooterItem)
        {
            PrepareStatusItem((GridFooterItem)e.Item);
        }
    }

    private void PrepareStatusItem(GridFooterItem footerItem)
    {
        if (footerItem.Cells.Count > 2)
        {
            if (footerItem.Cells[2].ColumnSpan < footerItem.Cells.Count - 2)
            {
                footerItem.Cells[2].ColumnSpan = footerItem.Cells.Count - 2;
                for (int i = 3; i < footerItem.Cells.Count; i++)
                {
                    footerItem.Cells[i].Visible = false;
                }
            }

            Label statusLabel = (Label)footerItem.Cells[2].FindControl("StatusLabel");
            if (statusLabel == null)
            {
                statusLabel = new Label();
                statusLabel.ID = "StatusLabel";
                statusLabel.Text = "&nbsp;";
                statusLabel.Style["color"] = "red";
                footerItem.Cells[2].Controls.Add(statusLabel);
            }
        }
    }

    private string gridStatusMessage = "&nbsp;";

    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        gridStatusMessage = "Executed command: " + e.CommandName; 
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        SetStatusMessage(gridStatusMessage);
    }

    private void SetStatusMessage(string message)
    {
        GridItem footerItem = RadGrid1.MasterTableView.GetItems(GridItemType.Footer)[0];
        Label statusLabel = (Label)footerItem.FindControl("StatusLabel");
        statusLabel.Text = message;
    }
}